<?php

namespace App\ViewModels\Orcamento\OrcamentoClienteDetalheRequestRequisicaoViewModel;

use App\Utils\Entity;

class OrcamentoCienteDetalheRequestRequisicaoViewModel extends Entity {
	protected $id;
	protected $idOrcamento;
	protected $idProcedimento;
	protected $idTipoProcedimento;
	protected $idConvenioProcedimento;
	protected $idConcenio;
	protected $idTipoConvenio;
	protected $tipoConvenio;
	protected $convenio;
	protected $codigo;
	protected $idProcedimentoValor;
	protected $idRequisicao;
	protected $idComanda;
	protected $quantidade;
	protected $valorUnidade;
	protected $valor;
	protected $criadoPor;
	protected $dataCriacao;
	protected $horaCriacao;
	protected $atualizadoPor;
	protected $dataAtualizacao;
	protected $horaAtualizacao;

	public static function builder():OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder {
		return new OrcamentoClienteDetalheRequestRequisicaoViewModelBuilder();

	}
	/**
	 * @return mixed
	 */
	public function getId() {

		return $this->id;
	}


	/**
	 * @return mixed
	 */
	public function getIdOrcamento() {

		return $this->idOrcamento;
	}


	/**
	 * @return mixed
	 */
	public function getIdProcedimento() {

		return $this->idProcedimento;
	}


	/**
	 * @return mixed
	 */
	public function getIdTipoProcedimento() {

		return $this->idTipoProcedimento;
	}


	/**
	 * @return mixed
	 */
	public function getIdConvenioProcedimento() {

		return $this->idConvenioProcedimento;
	}


	/**
	 * @return mixed
	 */
	public function getIdConcenio() {

		return $this->idConcenio;
	}


	/**
	 * @return mixed
	 */
	public function getIdTipoConvenio() {

		return $this->idTipoConvenio;
	}


	/**
	 * @return mixed
	 */
	public function getTipoConvenio() {

		return $this->tipoConvenio;
	}


	/**
	 * @return mixed
	 */
	public function getConvenio() {

		return $this->convenio;
	}


	/**
	 * @return mixed
	 */
	public function getCodigo() {

		return $this->codigo;
	}


	/**
	 * @return mixed
	 */
	public function getIdProcedimentoValor() {

		return $this->idProcedimentoValor;
	}


	/**
	 * @return mixed
	 */
	public function getIdRequisicao() {

		return $this->idRequisicao;
	}


	/**
	 * @return mixed
	 */
	public function getIdComanda() {

		return $this->idComanda;
	}


	/**
	 * @return mixed
	 */
	public function getQuantidade() {

		return $this->quantidade;
	}


	/**
	 * @return mixed
	 */
	public function getValorUnidade() {

		return $this->valorUnidade;
	}


	/**
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;
	}


	/**
	 * @return mixed
	 */
	public function getCriadoPor() {

		return $this->criadoPor;
	}


	/**
	 * @return mixed
	 */
	public function getDataCriacao() {

		return $this->dataCriacao;
	}


	/**
	 * @return mixed
	 */
	public function getHoraCriacao() {

		return $this->horaCriacao;
	}


	/**
	 * @return mixed
	 */
	public function getAtualizadoPor() {

		return $this->atualizadoPor;
	}


	/**
	 * @return mixed
	 */
	public function getDataAtualizacao() {

		return $this->dataAtualizacao;
	}


	/**
	 * @return mixed
	 */
	public function getHoraAtualizacao() {

		return $this->horaAtualizacao;
	}


	/**
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;
	}


	/**
	 * @param mixed $idOrcamento
	 */
	public function setIdOrcamento($idOrcamento) {

		$this->idOrcamento = $idOrcamento;
	}


	/**
	 * @param mixed $idProcedimento
	 */
	public function setIdProcedimento($idProcedimento) {

		$this->idProcedimento = $idProcedimento;
	}


	/**
	 * @param mixed $idTipoProcedimento
	 */
	public function setIdTipoProcedimento($idTipoProcedimento) {

		$this->idTipoProcedimento = $idTipoProcedimento;
	}


	/**
	 * @param mixed $idConvenioProcedimento
	 */
	public function setIdConvenioProcedimento($idConvenioProcedimento) {

		$this->idConvenioProcedimento = $idConvenioProcedimento;
	}


	/**
	 * @param mixed $idConcenio
	 */
	public function setIdConcenio($idConcenio) {

		$this->idConcenio = $idConcenio;
	}


	/**
	 * @param mixed $idTipoConvenio
	 */
	public function setIdTipoConvenio($idTipoConvenio) {

		$this->idTipoConvenio = $idTipoConvenio;
	}


	/**
	 * @param mixed $tipoConvenio
	 */
	public function setTipoConvenio($tipoConvenio) {

		$this->tipoConvenio = $tipoConvenio;
	}


	/**
	 * @param mixed $convenio
	 */
	public function setConvenio($convenio) {

		$this->convenio = $convenio;
	}


	/**
	 * @param mixed $codigo
	 */
	public function setCodigo($codigo) {

		$this->codigo = $codigo;
	}


	/**
	 * @param mixed $idProcedimentoValor
	 */
	public function setIdProcedimentoValor($idProcedimentoValor) {

		$this->idProcedimentoValor = $idProcedimentoValor;
	}


	/**
	 * @param mixed $idRequisicao
	 */
	public function setIdRequisicao($idRequisicao) {

		$this->idRequisicao = $idRequisicao;
	}


	/**
	 * @param mixed $idComanda
	 */
	public function setIdComanda($idComanda) {

		$this->idComanda = $idComanda;
	}


	/**
	 * @param mixed $quantidade
	 */
	public function setQuantidade($quantidade) {

		$this->quantidade = $quantidade;
	}


	/**
	 * @param mixed $valorUnidade
	 */
	public function setValorUnidade($valorUnidade) {

		$this->valorUnidade = $valorUnidade;
	}


	/**
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;
	}


	/**
	 * @param mixed $criadoPor
	 */
	public function setCriadoPor($criadoPor) {

		$this->criadoPor = $criadoPor;
	}


	/**
	 * @param mixed $dataCriacao
	 */
	public function setDataCriacao($dataCriacao) {

		$this->dataCriacao = $dataCriacao;
	}


	/**
	 * @param mixed $horaCriacao
	 */
	public function setHoraCriacao($horaCriacao) {

		$this->horaCriacao = $horaCriacao;
	}


	/**
	 * @param mixed $atualizadoPor
	 */
	public function setAtualizadoPor($atualizadoPor) {

		$this->atualizadoPor = $atualizadoPor;
	}


	/**
	 * @param mixed $dataAtualizacao
	 */
	public function setDataAtualizacao($dataAtualizacao) {

		$this->dataAtualizacao = $dataAtualizacao;
	}


	/**
	 * @param mixed $horaAtualizacao
	 */
	public function setHoraAtualizacao($horaAtualizacao) {

		$this->horaAtualizacao = $horaAtualizacao;
	}



}

